# Torque Game Engine Demo

Welcome to the Torque Game Engine Demo Application.

- Overview
- GarageGames
- Torque Game Engine
- System Requirements

- Win32
- Mac OS
- Linux

- Running the Application

- Command Line Arguments
- Keybindings

### Overview

This is a demo of the features available in the Torque Game Engine, an extremely affordable, full featured game engine technology from GarageGames.com, Inc.

### GarageGames

GarageGames.com is a unique Internet publishing label for independent games and gamemakers. We are a band of professional gaming industry veterans committed to publishing truly original and exciting titles on our own terms. Our mission? To provide the independent developer with tools, knowledge, co-conspirators - whatever is needed to unleash the creative spirit and get great innovative independent games to market.

### Torque Game Engine

The Torque Game Engine (TGE) is the game engine that powers Tribes 2 developed by Dynamix. TGE is a full featured AAA title engine with the latest in scripting, geometry, particle effects, animation and texturing, as well as award winning multi-player networking code. Check out the feature list for more details. For $100 per programmer, you get the source to the engine of a major product from a major game publisher! Not possible? Check the FAQ for the details.

### System Requirements

The application is released on both the Windows (Windows 98/SE/ME/2K/XP) and Mac OS X platforms. See the following OS specific sections for more information.

#### Windows

Under windows the engine will run either OpenGL or DirectX. OpenGL and DirectX drivers are typically bundled together by video card manufactureres and are constantly being updated. Make sure you have the latest drivers for your particular video card.

Required Hardware:
  - Pentium II/400 - AMD/400 (or better), 128MB RAM, 20+GB HD
  - Windows 98/NT4+SP3/2K/XP
  - AGP Radeon or GeForce class w/32MB (Radeon 8500 or GeForce3 w/64MB highly recommended)
Required Software:
  - Latest drivers for Video board
  - DirectX version 8.0 or later.
  - OpenAL Runtime or SDK Installation

#### Mac OS

Required Hardware:
  - G3/G4 400Mhz (or better), 128MB RAM, 20+GB HD
  - MacOS 9 or X
  - AGP Radeon or GeForce class w/32MB (Radeon 8500 or GeForce3 w/64MB highly recommended)
Required Software:
  - 9: Latest DrawSprocket and InputSprocket libraries/extensions installed and active
  - 9&X: Latest drivers for Video board
  - 9&X: TCP/IP properly configured
  - 9&X: OpenAL Runtime or SDK Installation

#### Linux

Required Hardware:
  - Pentium II/400 - AMD/400 (or better), 128+MB RAM
  - NVIDIA 3D card recommended. Other cards may work but are untested.
Required Software:
  - XFree86 4.0 or greater with a appropriate 3D drivers (GLX/DRI) for your video card.
  - Kernel 2.4.17 is not recommended.
  - The prebuilt binary packages require the following dynamic link libraries:
  - libm.so.6
  - libdl.so.2
  - libpthread.so.0
  - libc.so.6
  - /lib/ld-linux.so.2

### Running the Application

The demo may be run in two modes: with or without the client interface. Running the client graphics interface is the default behavior. Running the app. in "dedicated" mode skips the graphics and client interface initialization. This mode is used to run dedicated game servers and consumes less resources, but is not directly playable. You must connect to a dedicated server using another instances of the demo app running in client mode. Example of dedicated mode using command line arguments:

    	cd "c:\Program Files\Torque Game Engine Demo"
    	demo -dedicated -mission demo\data\missions\stronghold.mis

Games (servers) can also be hosted through the client interface, and a client may play the game being hosted.

Note: for Mac users, command line arguments can be placed in a text file called maccmdline.txt in the same directory as the demo executable.

#### Command Line Arguments

demo [-fullscreen] [-windowed] [-noSound] [-openGL] [-directX] [-autoVideo] [-prefs file] [-dedicated] [-mission mission] [-log level] [-mod modName] [-game gameName] [-show shapeFile] [-console] [-jSave file] [-jPlay file] [-jDebug file] [-help]

| -fullscreen | Run in fullscreen mode
| -windowed | Run in a window
| -noSound | Dsisable sound
| -openGL | Use the OpenGL driver
| -directX | Use the DirectX driver
| -autoVideo | Autodetect the video driver
| -prefs | Load the given config file
| -dedicated | Run as a dedicated server
| -mission mission | Load the given mission.
| -log level | Set the log level = [0,1,2]
| -mod modName | Load the specified mod
| -game gameName | Load the specified game, clears all previously loaded mods
| -show [file.dts] | Start the Show mod and optionally load the specified file
| -console | Start up a seperate console window
| -jSave file | Record a journal
| -jPlay file | Play back a journal
| -jDebug file | Same as jPlay, except that a debug break (int3) is issued when the journal ends
| -help | Display this help to the console

#### Key Bindings

The client default key bindings for the demo game. The script file which binds these keys can be found in the torque/fps/client/scripts/default.bind.cs file. Here are some of the current bindings:

| Movement
| w | Forward
| s | Backward
| a | Left
| d | Right
| space | Jump / Brake
| View Control
| e | Zoom
| r | Set Zoom FOV
| TAB | First/Third person
| alt c | Toggle between camera and player
| Chat Messaging
| u | Send chat message
| Misc. Functions
| Ctrl-O | In-game options dialog
| F1 | In-game help dialog box
| F2 | Score board
| Mission Editing
| F7 | Switch contol to the player and position him at the camera
| F8 | Switch contol to the camera and position it at the player
| F9 | Toggle between outline, interior debug, and normal rendering modes